%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45
%define sourcedir stable/1.1.2/distribution/tar/generic/source

Name: kdegraphics
Icon: kde-icon.xpm
Summary: K Desktop Environment - Graphics Applications
Version: 1.1.2
Release: 6
Epoch: 5
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
Patch: kdegraphics-gcc296.patch
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Requires: kdesupport
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
BuildPrereq: qt1x-devel, kdelibs-devel >= 1.1.2-19
Prefix: %{kdeprefix}
Excludearch: ia64

%description
Graphics applications for the K Desktop Environment.

Includes: kdvi (displays TeX .dvi files); kfax (displays fax
files); kfract (a fractal generator); kghostview (displays postscript files);
kiconedit (icon editor); kpaint (a simple drawing program); ksnapshot (screen
capture utility); kview (image viewer for GIF, JPEG, TIFF, etc.).

%prep
%setup -q -n kdegraphics
%patch -p1 -b .gcc

make -f Makefile.cvs

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -DNDEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
[ -f configure.in ] && libtoolize --copy --force
CXX="$CXX" CC="$CC" \
./configure  \
	--prefix=%{kdeprefix} \
        --x-libraries=/usr/X11R6/lib \
        --x-includes=/usr/X11R/include \
	--with-install-root=$RPM_BUILD_ROOT

cp -a admin/config.sub kdvi/kpathsea
make -j $CPUS CXX="$CXX" CC="$CC" \
     CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against new libpng

* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- fixes to built against compat-egcs-c++
- cleanup specfile

* Mon Jun 05 2000 Than Ngo <than@redhat.de>
- version from KDE_1_1_BRANCH
- fix to build against new gcc-2.96
- rebuild for 7.0
 
* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- version from KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- updates to new libstdc++ and rpm standards.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane

